# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from msrest.serialization import Model


class CreateTrustedIdProviderWithAccountParameters(Model):
    """The parameters used to create a new trusted identity provider while
    creating a new Data Lake Store account.

    :param name: The unique name of the trusted identity provider to create.
    :type name: str
    :param id_provider: The URL of this trusted identity provider.
    :type id_provider: str
    """

    _validation = {
        'name': {'required': True},
        'id_provider': {'required': True},
    }

    _attribute_map = {
        'name': {'key': 'name', 'type': 'str'},
        'id_provider': {'key': 'properties.idProvider', 'type': 'str'},
    }

    def __init__(self, name, id_provider):
        super(CreateTrustedIdProviderWithAccountParameters, self).__init__()
        self.name = name
        self.id_provider = id_provider
